Delete an Authentication Provider
Roles
Analytics Events
/v1/users/authentication-providers/{id}Deletes an existing Authentication Provider by providing its ID.
Analytic events
- USER_AUTHENTICATION_PROVIDER_DELETE_START
- USER_AUTHENTICATION_PROVIDER_DELETE_SUCCESS
- USER_AUTHENTICATION_PROVIDER_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Authentication Provider ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/users/authentication-providers/41458e5a-9092-40b7-9a26-d4eb43c5792f"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update an Authentication Provider PUT
Updates an existing Authentication Provider by providing its ID. ### **Analytic events** * USER_AUTHENTICATION_PROVIDER_UPDATE_START * USER_AUTHENTICATION_PROVIDER_UPDATE_SUCCESS * USER_AUTHENTICATION_PROVIDER_UPDATE_FAIL
Configure Interaction Hook PUT
Configure the Interaction Hook for the OpenID4VCI protocol on your tenant. Many credential issuance journeys require the issuer to perform custom interactions with the user. This could be gathering more information, performing additional authentication steps (E.g, 2FA, MFA or biometric checks) or communicating the terms of service. To facilitate this requirement, you can configure MATTR VII to invoke an interaction hook which will redirect the user to a custom component during the credential issuance journey. This redirect happens **after** the user is authenticated with your configured identity provider but **before** the credential is issued to the user. Upon successful completion of the interaction hook, your custom component will redirect the user back to their digital wallet to complete the credential issuance flow. Your interaction hook component can be either a web or native application. We recommend using a web interface because it's more compatible with most scenarios. <Callout> You can only configure one interaction hook on your MATTR VII tenant. If you require several custom interactions as part of the credential issuance workflow, they should all be linked into a single interaction hook component. </Callout> ### **Analytic events** * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_START * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_SUCCESS * CREDENTIAL_PROVIDER_OPENID_CONFIGURATION_UPDATE_FAIL